Register a contract deployment
POST /v2/contract/deployment
POST
/v2/contract/deployment
Register a new contract deployment.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ”object
abiId
required
The ABI ID
string format: uuid
12345678-1234-1234-1234-123456789012 chainId
required
The chain ID
number
1 contractAddress
required
The contract address
string
0x123... name
required
The deployment name
string
MyToken_Mainnet isShared
Whether the deployment is shared, only allowed for FSCO
boolean
Responses
Section titled “ Responses ”The registered deployment details
object
query
required
The query parameters
object
chainId
required
The chain ID
number
1 abiId
required
The ABI ID
string format: uuid
82c4fce1-d2c7-48cb-a647-6993dbe37819 contractAddress
required
The contract address
string
0x1234567890123456789012345678901234567890 methodName
required
The method name
string
balanceOf paramCollection
required
The parameters for the method
Array<string>
[ "0x1234567890123456789012345678901234567890"] isShared
required
Whether the ABI is shared
boolean
response
required
The response from the contract method
object
{ "balance": "1000000000000000000"}Bad Request
Unauthorized
Forbidden
Not Found
Internal Server Error